[VERTEX]
#version 440
uniform mat4 modelviewproj;
out vec2 fragment_uv;

layout(location = 0) in vec3 position;
layout(location = 3) in vec2 texcoord;

void main()
{
	fragment_uv = texcoord;
	gl_Position = modelviewproj * vec4(position,1.0);
}

[FRAGMENT]
#version 440
in vec2 fragment_uv;
uniform sampler2D texture0;
out vec4 color;

void main()
{
	color = texture(texture0, fragment_uv) + vec4(0.0, 0.0, 0.2, 0.0);
}